# filter out bogus dependency
%global __requires_exclude ^typelib\\(GtkosxApplication\\)

Summary:        Advanced, elegant jukebox style music player
Name:           quodlibet
Version:        3.8.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Sound/Players
URL:            https://quodlibet.readthedocs.io/en/latest/
Source0:        https://bitbucket.org/lazka/quodlibet-files/raw/default/releases/%{name}-%{version}.tar.gz
Patch0:         quodlibet-3.8.1-mga-remove-unity-integration.patch
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       zsh
Requires:       python-feedparser
# for Replay Gain plugin
Requires:       vorbisgain
# for iPod device support
Requires:       python-gpod
# for CDDB plugin
Requires:       python-dbus
Requires:       python-feedparser
Requires:       python-gi-cairo
Requires:       udisks2
Requires:       exfalso = %{version}
Requires:       quodlibet-be = %{version}
Recommends:     quodlibet-plugins
Recommends:     media-player-info
Recommends:     python-pyinotify
Recommends:     pythonegg(2)(musicbrainzngs)
Recommends:     zeitgeist

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file.

It supports Ogg Vorbis and MP3 by default, but other formats (FLAC, Musepack,
Wavepack, MPEG-4/AAC and MOD are available through gstreamer0.10 plugins.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD.

%package -n exfalso
Summary:    Tag editor for musical files
Group:      Sound/Utilities
Requires:   python-ctypes
Requires:   python-futures
Requires:   mutagen >= 1.14
Requires:   quodlibet >= %{version}
# for CDDB plugin
Requires:   python-CDDB
# for musicbrainz plugin
Requires:   python-musicbrainz2
Conflicts:  exfaslo < %{version}

%description -n exfalso
Ex Falso is a program that uses the same tag editing backend as Quod Libet,
but isn't connected to an audio player. If you're perfectly happy with your
favorite player and just want something that can handle tagging, Ex Falso
is for you.

%package gstbe
Summary:    GStreamer backend for quodlibet
Group:      Sound/Utilities
Requires:   quodlibet >= %{version}
Recommends: gstreamer1.0-plugins-good
Recommends: gstreamer1.0-plugins-bad
Provides:   quodlibet-be = %{version}

%description gstbe
This meta package installs neccessary packages to provide gstreamer backend support.

%package xinebe
Summary:    Xine backend for quodlibet
Group:      Sound/Utilities
Requires:   quodlibet >= %{version}
Requires:   xine1.2-common
Provides:   quodlibet-be = %{version}

%description xinebe
This meta package installs neccessary packages to provide xine backend support.

%prep
%setup -q
%autopatch -p1

%build
%py2_build

%install
%py2_install

%find_lang %{name}

# move zsh-completion files
mkdir %{buildroot}%{_datadir}/zsh/site-functions/
mv %{buildroot}%{_datadir}/zsh/vendor-completions/_quodlibet %{buildroot}%{_datadir}/zsh/site-functions/

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/%{name}
%{_bindir}/operon
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}*.egg-info
%{_datadir}/applications/quodlibet.*
%{_datadir}/appdata/quodlibet.appdata.xml
%{_datadir}/gnome-shell/search-providers/quodlibet-search-provider.ini
%{_datadir}/dbus-1/services/net.sacredchao.QuodLibet.service
%{_datadir}/zsh/site-functions/_quodlibet
%{_datadir}/icons/hicolor/*/apps/quodlibet*.*
%{_datadir}/pixmaps/quodlibet.*
%{_mandir}/man1/quodlibet.*
%{_mandir}/man1/operon.*

%files -n exfalso
%{_bindir}/exfalso
%{_datadir}/applications/exfalso.*
%{_datadir}/appdata/exfalso.appdata.xml
%{_mandir}/man1/exfalso.*
%{_datadir}/icons/hicolor/*/apps/exfalso*.*
%{_datadir}/pixmaps/exfalso.*

%files gstbe

%files xinebe


%changelog
* Sun Feb 12 2017 daviddavid <daviddavid> 3.8.1-1.mga6
+ Revision: 1085918
- new version: 3.8.1
- rename and rebase mga-remove-unity-integration patch

* Fri Dec 30 2016 daviddavid <daviddavid> 3.8.0-2.mga6
+ Revision: 1078702
- do not hard requires arch dependent libraries as it is a noarch package

* Fri Dec 30 2016 daviddavid <daviddavid> 3.8.0-1.mga6
+ Revision: 1078674
- new version: 3.8.0
- update URL
- rename and rebase mga-remove-unity-integration patch
- add some more needed dependencies
- use new python macros

* Sat Feb 20 2016 umeabot <umeabot> 3.1.2-7.mga6
+ Revision: 972083
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 3.1.2-6.mga6
+ Revision: 895476
- make it noarch thus fixing empty debuginfo
- use new python macros to fix build

* Mon Dec 29 2014 neoclust <neoclust> 3.1.2-5.mga5
+ Revision: 807047
- Remove noarch tag as we depend on %%_lib

* Wed Oct 15 2014 umeabot <umeabot> 3.1.2-4.mga5
+ Revision: 745898
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.1.2-3.mga5
+ Revision: 730081
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.1.2-2.mga5
+ Revision: 688584
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Mon Jul 21 2014 diogenese <diogenese> 3.1.2-1.mga5
+ Revision: 654941
- Included the patch to remove unity integration
- Updated sources to version 3.1.2

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Feb 08 2014 wally <wally> 3.0.2-5.mga5
+ Revision: 585810
- require python-gi-cairo (mga#12656)
- drop explicit typelib() requires (those are autogenerated)

* Tue Oct 22 2013 umeabot <umeabot> 3.0.2-4.mga4
+ Revision: 544517
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.0.2-3.mga4
+ Revision: 499802
- Rebuild to add different pythonegg provides for python 2 and 3

  + fwang <fwang>
    - lower request of mutagen

* Fri Aug 02 2013 malo <malo> 3.0.2-2.mga4
+ Revision: 462768
- fix requires to mutagen

* Tue Jul 30 2013 fwang <fwang> 3.0.2-1.mga4
+ Revision: 461021
- new version 3.0.2

* Sat Jul 20 2013 malo <malo> 2.6.0-1.mga4
+ Revision: 456600
- update to 2.6.0

* Wed Jun 12 2013 malo <malo> 2.5.1-1.mga4
+ Revision: 442166
- update to 2.5.1 (patch by William Murphy)

* Sat Jan 26 2013 malo <malo> 2.5-3.mga3
+ Revision: 392529
- add missing requires (mga#8802)

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 380121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 malo <malo> 2.5-1.mga3
+ Revision: 334068
- new version 2.5 final

* Sat Dec 15 2012 malo <malo> 2.4.91-1.mga3
+ Revision: 331032
- drop merged patch and install hack, update file list
- new version 2.5-beta1

* Sun Sep 30 2012 malo <malo> 2.4.1-1.mga3
+ Revision: 300694
- update to new version 2.4.1
- Update RPM group

* Tue Jun 19 2012 malo <malo> 2.4-1.mga3
+ Revision: 261841
- update to 2.4 (and update link patch)
- split package into quodlibet and exfalso

* Mon Mar 05 2012 malo <malo> 2.3.2-1.mga2
+ Revision: 219176
- update to new version 2.3.2
- spec clean-up after import from Mandriva (patch by Jeff)
- imported package quodlibet

